xml-commons-resolver API: Class TR9401CatalogReader

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.resolver.readers
Class TR9401CatalogReader

    java.lang.Object
      |
      +--org.apache.xml.resolver.readers.TextCatalogReader
            |
            +--org.apache.xml.resolver.readers.TR9401CatalogReader

All Implemented Interfaces:
  CatalogReader

public class TR9401CatalogReader
extends TextCatalogReader

Parses OASIS Open Catalog files.

This class reads OASIS Open Catalog files, returning a stream of tokens.

This code interrogates the following non-standard system properties:

xml.catalog.debug

  Sets the debug level. A value of 0 is assumed if the property is not set or is not a number.

Version:
  1.0
Author:
  Norman Walsh Norman.Walsh@Sun.COM
See Also:
  `Catalog`

Fields inherited from class org.apache.xml.resolver.readers.TextCatalogReader
`caseSensitive, catfile, stack, tokenStack, top`

Constructor Summary
`TR9401CatalogReader()`

Method Summary
`void` | `readCatalog(Catalog catalog, java.io.InputStream is)` Start parsing an OASIS TR9401 Open Catalog file.

Methods inherited from class org.apache.xml.resolver.readers.TextCatalogReader
`finalize, getCaseSensitive, nextChar, nextToken, readCatalog, setCaseSensitive`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TR9401CatalogReader

    public TR9401CatalogReader()

Method Detail

### readCatalog

    public void readCatalog(Catalog catalog,
                            java.io.InputStream is)
                     throws java.net.MalformedURLException,
                            java.io.IOException

  Start parsing an OASIS TR9401 Open Catalog file. The file is actually read and parsed as needed by `nextEntry`.

  In a TR9401 Catalog the 'DELEGATE' entry delegates public identifiers. There is no delegate entry for system identifiers or URIs.

  Overrides:
    `readCatalog` in class `TextCatalogReader`
  Parameters:
    `catalog` - The Catalog to populate
    `is` - The input stream from which to read the TR9401 Catalog
  Throws:
    `java.net.MalformedURLException` - Improper fileUrl
    `java.io.IOException` - Error reading catalog file

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.